Bug 1655197 - Review Request: python-fido2 - Functionality for FIDO 2.0, including USB device communication
Summary: Review Request: python-fido2 - Functionality for FIDO 2.0, including USB devi...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-30 23:55 UTC by Orion Poplawski
Modified: 2018-12-06 23:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-06 23:07:25 UTC
Type: Bug
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Orion Poplawski 2018-11-30 23:55:57 UTC
Spec URL: https://www.cora.nwra.com/~orion/fedora/python-fido2.spec
SRPM URL: https://www.cora.nwra.com/~orion/fedora/python-fido2-0.4.0-1.fc30.src.rpm
Description:
Provides library functionality for communicating with a FIDO device over USB
as well as verifying attestation and assertion signatures.

WARNING: This project is in beta. Expect things to change or break at any time!

This library aims to support the FIDO U2F and FIDO 2.0 protocols for
communicating with a USB authenticator via the Client-to-Authenticator
Protocol (CTAP 1 and 2). In addition to this low-level device access, classes
defined in the fido2.client and fido2.server modules implement higher level
operations which are useful when interfacing with an Authenticator, or when
implementing a Relying Party.

For usage, see the examples/ directory.

Fedora Account System Username: orion

Comment 1 Robert-André Mauchin 🐧 2018-12-01 00:40:31 UTC
License:        BSD and APLv2 and MPLv2

 should be

License:        BSD and ASL 2.0 and MPLv2.0

Also fix the comments.

 - Remove the tab line 24:

python-fido2.src:24: W: mixed-use-of-spaces-and-tabs (spaces: line 11, tab: line 24)

 - Use 644 for the patch permissions:

python-fido2.src: W: strange-permission python-fido2-setup.patch 640



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Mozilla Public License (v2.0) Apache License BSD 2-clause
     "Simplified" License", "Unknown or generated", "*No copyright* Mozilla
     Public License (v2.0) Apache License (v2.0)", "BSD 2-clause
     "Simplified" License", "Mozilla Public License (v2.0) BSD 2-clause
     "Simplified" License", "Apache License (v2.0)", "*No copyright*
     Mozilla Public License (v2.0)", "Expat License", "*No copyright*
     Apache License (v2.0)". 24 files have unknown license. Detailed output
     of licensecheck in /home/bob/packaging/review/python-fido2/review-
     python-fido2/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 13 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-fido2-0.4.0-1.fc30.noarch.rpm
          python-fido2-0.4.0-1.fc30.src.rpm
python3-fido2.noarch: W: spelling-error %description -l en_US authenticator -> authentication, authenticate, authentic
python3-fido2.noarch: W: invalid-license APLv2
python3-fido2.noarch: W: invalid-license MPLv2
python-fido2.src: W: spelling-error %description -l en_US authenticator -> authentication, authenticate, authentic
python-fido2.src: W: invalid-license APLv2
python-fido2.src: W: invalid-license MPLv2
python-fido2.src: W: strange-permission python-fido2-setup.patch 640
python-fido2.src:24: W: mixed-use-of-spaces-and-tabs (spaces: line 11, tab: line 24)
2 packages and 0 specfiles checked; 0 errors, 8 warnings.

Comment 2 Orion Poplawski 2018-12-03 23:41:57 UTC
Thanks for the review.

* Mon Dec 3 2018 Orion Poplawski <orion@nwra.com> - 1.2.4-2
- Fix License
- Remove tab and fix permissions

Spec URL: https://www.cora.nwra.com/~orion/fedora/python-fido2.spec
SRPM URL: https://www.cora.nwra.com/~orion/fedora/python-fido2-0.4.0-2.fc30.src.rpm

Comment 3 Robert-André Mauchin 🐧 2018-12-06 19:34:42 UTC
Package approved.

Comment 4 Gwyn Ciesla 2018-12-06 19:47:58 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-fido2

Comment 5 Orion Poplawski 2018-12-06 23:07:25 UTC
Checked in and built.  Updates to come shortly.


Note You need to log in before you can comment on or make changes to this bug.